Loading...
Searching...
No Matches
Magick::DrawableLine Class Reference
Inheritance diagram for Magick::DrawableLine:

## Public Member Functions

| DrawableLine (double startX_, double startY_, double endX_, double endY_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const

## Private Attributes

double | _startX
double | _startY
double | _endX
double | _endY

## Detailed Description

Definition at line 1121 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableLine()

Magick::DrawableLine::DrawableLine | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_
| ) |  |

inline

Definition at line 1124 of file Drawable.h.

: _startX(startX_),
_startY(startY_),
_endX(endX_),
_endY(endY_)
{ }

## ~DrawableLine()

Magick::DrawableLine::~DrawableLine | ( | void |  | ) |

Definition at line 853 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableLine::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 860 of file Drawable.cpp.

{
return new DrawableLine(*this);
}

## endX() [1/2]

void Magick::DrawableLine::endX | ( | double | endX_ | ) |

inline

Definition at line 1158 of file Drawable.h.

{
_endX = endX_;
}

## endX() [2/2]

double Magick::DrawableLine::endX | ( | void |  | ) | const

inline

Definition at line 1162 of file Drawable.h.

{
return _endX;
}

## endY() [1/2]

void Magick::DrawableLine::endY | ( | double | endY_ | ) |

inline

Definition at line 1167 of file Drawable.h.

{
_endY = endY_;
}

## endY() [2/2]

double Magick::DrawableLine::endY | ( | void |  | ) | const

inline

Definition at line 1171 of file Drawable.h.

{
return _endY;
}

## operator()()

void Magick::DrawableLine::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 856 of file Drawable.cpp.

{
DrawLine( context_, _startX, _startY, _endX, _endY );
}

## startX() [1/2]

void Magick::DrawableLine::startX | ( | double | startX_ | ) |

inline

Definition at line 1140 of file Drawable.h.

{
_startX = startX_;
}

## startX() [2/2]

double Magick::DrawableLine::startX | ( | void |  | ) | const

inline

Definition at line 1144 of file Drawable.h.

{
return _startX;
}

## startY() [1/2]

void Magick::DrawableLine::startY | ( | double | startY_ | ) |

inline

Definition at line 1149 of file Drawable.h.

{
_startY = startY_;
}

## startY() [2/2]

double Magick::DrawableLine::startY | ( | void |  | ) | const

inline

Definition at line 1153 of file Drawable.h.

{
return _startY;
}

## Field Documentation

## _endX

double Magick::DrawableLine::_endX

private

Definition at line 1179 of file Drawable.h.

## _endY

double Magick::DrawableLine::_endY

private

Definition at line 1180 of file Drawable.h.

## _startX

double Magick::DrawableLine::_startX

private

Definition at line 1177 of file Drawable.h.

## _startY

double Magick::DrawableLine::_startY

private

Definition at line 1178 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp